//+------------------------------------------------------------------+
//|                   Signals-alert-sound-email                      |
//|                     SignalsAlertLines.mq4                        |
//+------------------------------------------------------------------+
#property copyright "  "
#property link      "http://forexanalytics.org"
//----
#property indicator_chart_window
extern string HLine_Res9 = "Res9", HLine_Res8 = "Res8", HLine_Res7 = "Res7", HLine_Res6 = "Res6", 
HLine_Res5 = "Res5", HLine_Res4 = "Res4", HLine_Res3 = "Res3",HLine_Res2 = "Res2", HLine_Res1 = "Res1", 
HLine_Res = "Res", HLine_Res. = "Res.", HLine_Res.. = "Res..", HLine_Sup.. = "Sup..", HLine_Sup. = "Sup.", 
HLine_Sup = "Sup", HLine_Sup1 = "Sup1", HLine_Sup2 = "Sup2", HLine_Sup3 = "Sup3", HLine_Sup4 = "Sup4", 
HLine_Sup5 = "Sup5", HLine_Sup6 = "Sup6", HLine_Sup7 = "Sup7", HLine_Sup8 = "Sup8", HLine_Sup9 = "Sup9";       
//----
bool Res9 = false, Sup9 = false, Res8 = false, Sup8 = false, Res.. = false, Sup.. = false, Res. = false, 
Sup. = false, Res = false, Sup = false, Res1 = false, Sup1 = false, Res2 = false, Sup2 = false, Res3 = false,  
Sup3 = false, Res4 = false, Sup4 = false, Res5 = false, Sup5 = false, Res6 = false, Sup6 = false, Res7 = false, 
Sup7 = false; //false, true
//----
extern color Color_All_Res = Green, Color_All_Sup = Red;
extern int Style_All_Res = 0, Style_All_Sup = 0;
extern string  Line_Styles = "line___=0,dash-- --=1,dot----=2,dashdot-.-=3,dashdotdot-..-=4";
extern int Alert_Long = 1, Alert_Short = 1; 
//----
extern bool Sound_Alert_Long = true, Sound_Alert_Short = true, AlertON = true;
extern bool EmailON = false;
extern string Sound_Alert_Res9 = "alert.wav", Sound_Alert_Res8 = "alert.wav", Sound_Alert_Res7 = "alert2.wav", 
Sound_Alert_Res6 = "alert2.wav", Sound_Alert_Res5 = "alert.wav", Sound_Alert_Res4 = "alert.wav", Sound_Alert_Res3 = "alert.wav",
Sound_Alert_Res2 = "alert2.wav", Sound_Alert_Res1 = "alert.wav", Sound_Alert_Res = "alert.wav", Sound_Alert_Res. = "alert.wav",
Sound_Alert_Res.. = "alert.wav", Sound_Alert_Sup.. = "alert.wav", Sound_Alert_Sup. = "alert.wav", Sound_Alert_Sup = "alert.wav", 
Sound_Alert_Sup1 = "alert.wav", Sound_Alert_Sup2 = "alert2.wav", Sound_Alert_Sup3 = "alert.wav", Sound_Alert_Sup4 = "alert.wav", 
Sound_Alert_Sup5 = "alert.wav", Sound_Alert_Sup6 = "alert2.wav", Sound_Alert_Sup7 = "alert2.wav", Sound_Alert_Sup8 = "alert2.wav", 
Sound_Alert_Sup9 = "alert2.wav";
//---- 
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  //ObjectDelete(HLine_Res9);ObjectDelete(HLine_Res8); ObjectDelete(HLine_Res..); ObjectDelete(HLine_Res.); ObjectDelete(HLine_Res); ObjectDelete(HLine_Res1);  ObjectDelete(HLine_Res2); ObjectDelete(HLine_Res3); 
 //ObjectDelete(HLine_Res4); ObjectDelete(HLine_Res5); ObjectDelete(HLine_Res6); ObjectDelete(HLine_Res7); ObjectDelete(HLine_Sup..); ObjectDelete(HLine_Sup.); ObjectDelete(HLine_Sup); ObjectDelete(HLine_Sup1); 
// ObjectDelete(HLine_Sup2); ObjectDelete(HLine_Sup3); ObjectDelete(HLine_Sup4); ObjectDelete(HLine_Sup5); ObjectDelete(HLine_Sup6); ObjectDelete(HLine_Sup7); ObjectDelete(HLine_Sup8);ObjectDelete(HLine_Sup9); 
// ,           ,      . 

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//   int    counted_bars=IndicatorCounted();
//+----------------------------------------------------------------------------------------------- 
      if (Res1) ObjectCreate(HLine_Res1, OBJ_HLINE, 0, 0, Bid+120*Point);
      ObjectSet(HLine_Res1, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res1, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res1, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res1, OBJPROP_BACK, 0);
//----        
      double val1 = ObjectGet(HLine_Res1, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val1 && Bid+Alert_Long*Point >= val1) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res1);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res1);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res1);
         }        
//----
      if (Sup1) ObjectCreate(HLine_Sup1, OBJ_HLINE, 0, 0, Bid-120*Point);
      ObjectSet(HLine_Sup1, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup1, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup1, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup1, OBJPROP_BACK, 0);
//----        
      double val2 = ObjectGet(HLine_Sup1, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val2 && Bid+Alert_Short*Point >= val2) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup1);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup1);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup1);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res2) ObjectCreate(HLine_Res2, OBJ_HLINE, 0, 0, Bid+150*Point);
      ObjectSet(HLine_Res2, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res2, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res2, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res2, OBJPROP_BACK, 0);
//----        
      double val3 = ObjectGet(HLine_Res2, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val3 && Bid+Alert_Long*Point >= val3) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res2);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res2);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res2);
         }        
//----
      if (Sup2) ObjectCreate(HLine_Sup2, OBJ_HLINE, 0, 0, Bid-150*Point);
      ObjectSet(HLine_Sup2, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup2, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup2, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup2, OBJPROP_BACK, 0);
//----        
      double val4 = ObjectGet(HLine_Sup2, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val4 && Bid+Alert_Short*Point >= val4) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup2);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup2);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup2);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res3) ObjectCreate(HLine_Res3, OBJ_HLINE, 0, 0, Bid+180*Point);
      ObjectSet(HLine_Res3, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res3, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res3, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res3, OBJPROP_BACK, 0);
//----        
      double val5 = ObjectGet(HLine_Res2, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val5 && Bid+Alert_Long*Point >= val5) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res3);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res3);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res3);
         }        
//----
      if (Sup3) ObjectCreate(HLine_Sup3, OBJ_HLINE, 0, 0, Bid-180*Point);
      ObjectSet(HLine_Sup3, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup3, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup3, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup3, OBJPROP_BACK, 0);
//----        
      double val6 =  ObjectGet(HLine_Sup3, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val6 && Bid+Alert_Short*Point >= val6) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup3);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup3);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup3);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res4) ObjectCreate(HLine_Res4, OBJ_HLINE, 0, 0, Bid+210*Point);
      ObjectSet(HLine_Res4, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res4, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res4, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res4, OBJPROP_BACK, 0);
//----        
      double val7 = ObjectGet(HLine_Res4, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val7 && Bid+Alert_Long*Point >= val7) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res4);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res4);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res4);
         }        
//----
      if (Sup4) ObjectCreate(HLine_Sup4, OBJ_HLINE, 0, 0, Bid-210*Point);
      ObjectSet(HLine_Sup4, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup4, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup4, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup4, OBJPROP_BACK, 0);
//----        
      double val8 =  ObjectGet(HLine_Sup4, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val8 && Bid+Alert_Short*Point >= val8) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup4);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup4);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup4);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res5) ObjectCreate(HLine_Res5, OBJ_HLINE, 0, 0, Bid+240*Point);
      ObjectSet(HLine_Res5, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res5, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res5, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res5, OBJPROP_BACK, 0);
//----        
      double val9 = ObjectGet(HLine_Res5, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val9 && Bid+Alert_Long*Point >= val9) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res5);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res5);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res5);
         }        
//----
      if (Sup5) ObjectCreate(HLine_Sup5, OBJ_HLINE, 0, 0, Bid-240*Point);
      ObjectSet(HLine_Sup5, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup5, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup5, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup5, OBJPROP_BACK, 0);
//----        
      double val10 =  ObjectGet(HLine_Sup5, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val10 && Bid+Alert_Short*Point >= val10) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup5);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup5);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup5);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res6) ObjectCreate(HLine_Res6, OBJ_HLINE, 0, 0, Bid+270*Point);
      ObjectSet(HLine_Res6, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res6, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res6, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res6, OBJPROP_BACK, 0);
//----        
      double val11 = ObjectGet(HLine_Res6, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val11 && Bid+Alert_Long*Point >= val11) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res6);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res6);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res6);
         }        
//----
      if (Sup6) ObjectCreate(HLine_Sup6, OBJ_HLINE, 0, 0, Bid-270*Point);
      ObjectSet(HLine_Sup6, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup6, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup6, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup6, OBJPROP_BACK, 0);
//----        
      double val12 =  ObjectGet(HLine_Sup6, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val12 && Bid+Alert_Short*Point >= val12) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup6);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup6);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup6);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res7) ObjectCreate(HLine_Res7, OBJ_HLINE, 0, 0, Bid+300*Point);
      ObjectSet(HLine_Res7, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res7, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res7, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res7, OBJPROP_BACK, 0);
//----        
      double val13 = ObjectGet(HLine_Res7, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val13 && Bid+Alert_Long*Point >= val13) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res7);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res7);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res7);
         }        
//----
      if (Sup7) ObjectCreate(HLine_Sup7, OBJ_HLINE, 0, 0, Bid-300*Point);
      ObjectSet(HLine_Sup7, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup7, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup7, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup7, OBJPROP_BACK, 0);
//----        
      double val14 =  ObjectGet(HLine_Sup7, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val14 && Bid+Alert_Short*Point >= val14) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup7);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup7);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup7);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res8) ObjectCreate(HLine_Res8, OBJ_HLINE, 0, 0, Bid+330*Point);
      ObjectSet(HLine_Res8, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res8, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res8, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res8, OBJPROP_BACK, 0);
//----        
      double val15 = ObjectGet(HLine_Res8, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val15 && Bid+Alert_Long*Point >= val15) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res8);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res8);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res8);
         }        
//----
      if (Sup8) ObjectCreate(HLine_Sup8, OBJ_HLINE, 0, 0, Bid-330*Point);
      ObjectSet(HLine_Sup8, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup8, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup8, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup8, OBJPROP_BACK, 0);
//----        
      double val16 =  ObjectGet(HLine_Sup8, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val16 && Bid+Alert_Short*Point >= val16) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup8);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup8);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup8);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res9) ObjectCreate(HLine_Res9, OBJ_HLINE, 0, 0, Bid+360*Point);
      ObjectSet(HLine_Res9, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res9, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res9, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res9, OBJPROP_BACK, 0);
//----        
      double val17 = ObjectGet(HLine_Res9, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val17 && Bid+Alert_Long*Point >= val17) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res9);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res9);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res9);
         }        
//----
      if (Sup9) ObjectCreate(HLine_Sup9, OBJ_HLINE, 0, 0, Bid-360*Point);
      ObjectSet(HLine_Sup9, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup9, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup9, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup9, OBJPROP_BACK, 0);
//----        
      double val18 =  ObjectGet(HLine_Sup9, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val18 && Bid+Alert_Short*Point >= val18) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup9);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup9);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup9);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res) ObjectCreate(HLine_Res, OBJ_HLINE, 0, 0, Bid+90*Point);
      ObjectSet(HLine_Res, OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res, OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res, OBJPROP_BACK, 0);
//----        
      double val19 = ObjectGet(HLine_Res, OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val19 && Bid+Alert_Long*Point >= val19) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res);
         }        
//----
      if (Sup) ObjectCreate(HLine_Sup, OBJ_HLINE, 0, 0, Bid-90*Point);
      ObjectSet(HLine_Sup, OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup, OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup, OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup, OBJPROP_BACK, 0);
//----        
      double val20 =  ObjectGet(HLine_Sup, OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val20 && Bid+Alert_Short*Point >= val20) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res.) ObjectCreate(HLine_Res., OBJ_HLINE, 0, 0, Bid+60*Point);
      ObjectSet(HLine_Res., OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res., OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res., OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res., OBJPROP_BACK, 0);
//----        
      double val21 = ObjectGet(HLine_Res., OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val21 && Bid+Alert_Long*Point >= val21) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res.);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res.);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res.);
         }        
//----
      if (Sup.) ObjectCreate(HLine_Sup., OBJ_HLINE, 0, 0, Bid-60*Point);
      ObjectSet(HLine_Sup., OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup., OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup., OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup., OBJPROP_BACK, 0);
//----        
      double val22 =  ObjectGet(HLine_Sup., OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val22 && Bid+Alert_Short*Point >= val22) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup.);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup.);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup.);
         }        
//+----------------------------------------------------------------------------------------------- 
      if (Res..) ObjectCreate(HLine_Res.., OBJ_HLINE, 0, 0, Bid+30*Point);
      ObjectSet(HLine_Res.., OBJPROP_COLOR, Color_All_Res);
      ObjectSet(HLine_Res.., OBJPROP_STYLE, Style_All_Res);
      ObjectSet(HLine_Res.., OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Res.., OBJPROP_BACK, 0);
//----        
      double val23 = ObjectGet(HLine_Res.., OBJPROP_PRICE1);
      if (Bid-Alert_Long*Point <= val23 && Bid+Alert_Long*Point >= val23) 
         {
         if (Sound_Alert_Long) PlaySound (Sound_Alert_Res..);
         if (AlertON) Alert (Symbol()," ",Alert_Long," pips from ",HLine_Res..);
         if (EmailON) SendMail(Symbol()+" ",Alert_Long+" pips from "+HLine_Res..);
         }        
//----
      if (Sup..) ObjectCreate(HLine_Sup.., OBJ_HLINE, 0, 0, Bid-30*Point);
      ObjectSet(HLine_Sup.., OBJPROP_COLOR, Color_All_Sup);
      ObjectSet(HLine_Sup.., OBJPROP_STYLE, Style_All_Sup);
      ObjectSet(HLine_Sup.., OBJPROP_WIDTH, 0);
      ObjectSet(HLine_Sup.., OBJPROP_BACK, 0);
//----        
      double val24 =  ObjectGet(HLine_Sup.., OBJPROP_PRICE1);
      if (Bid-Alert_Short*Point <= val24 && Bid+Alert_Short*Point >= val24) 
         {
         if (Sound_Alert_Short) PlaySound (Sound_Alert_Sup..);
         if (AlertON) Alert (Symbol()," ",Alert_Short," pips from ",HLine_Sup..);
         if (EmailON) SendMail(Symbol()+" ",Alert_Short+" pips from "+HLine_Sup..);
         }        
//+----------------------------------------------------------------------------------------------- 
   return(0);
  }
//+------------------------------------------------------------------+

